<nav
  class="navbar navbar-expand-lg sticky-top mb-3"
  [ngClass]="{
    'navbar-dark bg-dark navbar-background-dark':
      themeService.theme === 'theme-dark',
    'navbar-light bg-light navbar-background-light':
      themeService.theme === 'theme-light'
  }"
>
  <div class="container-fluid">
    <a class="navbar-brand" href="/home">
      <img src="{{themeService.theme === 'theme-dark' ? '/assets/logo_white.png' : '/assets/logo_black.png'}}" alt="drugst.one project logo" height="40px">
    </a>
    <button
      class="navbar-toggler"
      type="button"
      data-bs-toggle="collapse"
      data-bs-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul
        class="navbar-nav ml-auto"
        *ngFor="let tab of tabsModel; let i = index"
      >
        <li class="nav-item">
          <a
            class="nav-link"
            [routerLink]="tab.routerLink"
            [class.active]="this.activeTab.label === tab.label"
            [attr.aria-current]="
              this.activeTab.label === tab.label ? 'page' : null
            "
          >
            <i class="{{ tab.icon }}"></i>
            {{ tab.label }}
            <span *ngIf="this.activeTab.label === tab.label" class="sr-only"
              >(current)</span
            >
          </a>
        </li>
      </ul>
      <div class="ms-auto navbar-text d-flex align-items-center">
        <i class="fas fa-sun"></i>
        <p-inputSwitch
                class="theme-switch"
          [ngModel]="themeService.theme === 'theme-dark'"
          (onChange)="switchThemeStyle($event.checked)"
        ></p-inputSwitch>
        <i class="fas fa-moon"></i>
      </div>
    </div>
  </div>
</nav>
